Backup Warning: Version string too short or too long after hotfix applied

Discussion in 'Plesk 9.x for Windows Issue, Fixes, How-To' started by chris.dempsey, Jul 12, 2012.

  1. chris.dempsey

    chris.dempsey Kilo Poster

    Messages:
    13
    We are running Plesk 9.5.4 on Windows Server 2008 64bit R2 Standard SP1 and receive the following email after the nightly scheduled backup runs:

    Backup/Restore task notification - Backup task finished. Task status is: warnings (the full text of migration.result attachment is included below).

    The hotfix described at: http://kb.parallels.com/en/7090 has been applied (psadumpagent953-954.zip 160kb). The original file located at C:\Program Files (x86)\Parallels\Plesk\admin\bin\psadumpagent.dll was replaced with the new one from the supplied zip archive.

    - The original psadumpagent.dll version was: 9.504.4000.12915
    - The new psadumpagent.dll version is: 9.1.4031.30141

    Both files show a Size of 160 KB (163,840 bytes). If the new file is different is there not a good chance it should be a different size?

    I notice on the hotfix page linked above, the updated DLL files provided for Plesk Panel v9.5.1 and 9.2.x/9.3.x are called: psa9dumpagent.dll whereas for v9.5.3/9.5.4 it is psadumpagent.dll.

    Can anyone verify that the file provided on the hotfix page for v9.5.4 is correct or has anyone experienced the same issue after applying the new hotfix file?

    Other information that may help is that our original copy of psa9dumpagent.dll was replaced with a new version by the server engineers based on the same hotfix article in February 2011 before Plesk Panel had been updated from v9.5.2 to v9.5.4 in July 2011:

    - The original psa9dumpagent.dll version was: 9.502.3840.29224
    - The new psa9dumpagent.dll version is: 9.504.4000.12916

    My notes say that this fixed the same backup issue at the time: 'Version string portion was too short or too long' however in July 2011 Plesk Panel was updated to v9.5.4 in order to fix an email autoresponder issue. Does this mean that we should revert back to the original psa9dumpagent.dll file?

    Any help greatly appreciated.

    Thanks,

    Chris


    =======[ Full migration.result file content: ]=======

    <?xml version="1.0" encoding="utf-8"?>
    <execution-result status="warnings">
    <object name="backup" type="backupowner">
    <message code="ArgumentException" severity="error">Version string portion was too short or too long.</message>
    </object>
    </execution-result>
     
  2. chris.dempsey

    chris.dempsey Kilo Poster

    Messages:
    13
    I tried reverting back to the original psa9dumpagent.dll file from Plesk Panel v9.5.2 but the same error occurs during backup.

    Anyone got any suggestions?

    Thanks.
     
  3. abdi

    abdi Product Expert

    Messages:
    2,755
    Hello Chris,
    Did you resolve this issue? If you did how?
     
  4. chris.dempsey

    chris.dempsey Kilo Poster

    Messages:
    13
    The issue was raised with Parallels support who investigated:

    I had scheduled a backup 'testparallels_bak' and it completed successfully. We didn't receive any notification to the mail 'hich we set in case any error occurred.

    However in the migration.result, we have received the reported warning. This is not critical and can be ignored.

    According to my notes we updated to Plesk 9.5.5 MU#2 http://kb.parallels.com/113892 which corrects the issue.
     
  5. abdi

    abdi Product Expert

    Messages:
    2,755
    Hello Chris,
    Thank you so much for sharing your resolution.
     

Share This Page